////////////////////////////////////////
// ļ: config.h
////////////////////////////////////////

#ifndef __CONFIG_H__
#define __CONFIG_H__

#define HIRC                    40000000UL
#define FOSC                    40000000UL
#define SYSCLK                  FOSC
#define MAIN_Fosc               FOSC

#include <ai8051u.h>
#include <stdio.h>
#include <intrins.h>

#include "def.h"
#include "ai8051u_def.h"
#include "ai_usb.h"

void CLK_Init(void);
void PORT0_Init(void);
void PORT2_Init(void);
void PORT3_Init(void);
void PORT4_Init(void);
void PORT5_Init(void);
void IAP_Init(void);
void IAP_EraseSector(uint32_t dwAddress);
void IAP_ProgramByte(uint32_t dwAddress, uint8_t bData);
uint8_t IAP_ReadByte(uint32_t dwAddress);
void LCM_Init(void);
void USBLIB_Init(void);
void USBLIB_WaitConfiged(void);
void USBLIB_OUT_Done(void);


void SYS_Init(void);
void delay_ms(uint16_t ms);

#endif
